The Perl Advent Calendar needs more articles for 2022. Submit your idea today!
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.017.
use strict;
use warnings;

use 5.014;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Redis Storage Abstraction",
  "AUTHOR" => "Al Newkirk <awncorp\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Zing-Store-Redis",
  "LICENSE" => "apache",
  "MIN_PERL_VERSION" => "5.014",
  "NAME" => "Zing::Store::Redis",
  "PREREQ_PM" => {
    "Data::Object::Class" => "2.02",
    "Data::Object::ClassHas" => "2.01",
    "Redis" => "1.998",
    "Zing" => "0.20",
    "routines" => "0.02",
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Data::Object::Class" => "2.02",
    "Data::Object::ClassHas" => "2.01",
    "Redis" => "1.998",
    "Test::Auto" => "0.12",
    "Zing" => "0.20",
    "routines" => "0.02",
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.01",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Data::Object::Class" => "2.02",
  "Data::Object::ClassHas" => "2.01",
  "Redis" => "1.998",
  "Test::Auto" => "0.12",
  "Zing" => "0.20",
  "routines" => "0.02",
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);